CurrencySelector = CurrencySelector or class()
CurrencySelector.MOD_SAVE = SavePath .. "CurrencySelector.json"
CurrencySelector.settings = io.file_is_readable(CurrencySelector.MOD_SAVE) and io.load_as_json(CurrencySelector.MOD_SAVE) or {}
CurrencySelector.settings.curr_sign = CurrencySelector.settings.curr_sign or 1
CurrencySelector.curr_options = {
"$",
"¢",
"£",
"¤",
"¥",
"§",
"©",
"®",
"×",
"$BTN_GHOST", 
"$BTN_SKULL",
"$BTN_SPREE_SHORT",
"$BTN_SPREE_MEDIUM",
"$BTN_SPREE_LONG",
"$BTN_SPREE_TICKET",
"$BTN_CONTINENTAL_COINS",
"$BTN_SPREE_STEALTH",
"$BTN_XMAS",
"$BTN_RANGE_EMPTY",
"$BTN_RANGE_FILLED",
"$BTN_RANGE_BONUS",
"$BTN_A",
"$BTN_B",
"$BTN_X",
"$BTN_Y"
}

Hooks:Add("MenuManagerBuildCustomMenus", "MenuManagerBuildCustomMenusCurrencySelector", function(menu_manager, nodes)
	local locs = {
		menu_curr_selector = "Currency Selector",
		menu_curr_selector_save_slot = "Currency Sign",
		menu_curr_selector_save_slot_desc = "Which currency sign to use",
	}
	for i, v in ipairs(CurrencySelector.curr_options) do
		locs[v] = tostring(v)
	end
	managers.localization:add_localized_strings(locs)

	function MenuCallbackHandler:CurrencySelector_set_slot(item)
		CurrencySelector.settings[item:name()] = tostring(CurrencySelector.curr_options[item:value()])
	-- log("Setting ... " .. tostring(item:name()) .. " = " .. tostring(CurrencySelector.curr_options[item:value()]))
		io.save_as_json(CurrencySelector.settings, CurrencySelector.MOD_SAVE)
	end

	local menu_id = "CurrencySelector"
	MenuHelper:NewMenu(menu_id)

	MenuHelper:AddMultipleChoice({
		id = "curr_sign",
		title = "menu_curr_selector_save_slot",
		desc = "menu_curr_selector_save_slot_desc",
		callback = "CurrencySelector_set_slot",
		value = CurrencySelector.settings.curr_sign,
		items = CurrencySelector.curr_options,
		menu_id = menu_id
	})

	nodes[menu_id] = MenuHelper:BuildMenu(menu_id)

	MenuHelper:AddMenuItem(nodes["blt_options"], menu_id, "menu_curr_selector")
end)
